## gtimer 0.96

=== Makefile ===
# GTimer Makefile
#
# Copyright:
#	(C) 1998 Craig Knudsen, cknudsen@radix.net
#	See accompanying file "COPYING".
# 
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the
#	Free Software Foundation, Inc., 59 Temple Place,
#	Suite 330, Boston, MA  02111-1307, USA
#

# Set the GTK version number
# minor and micro must be two digits (99 or 01, etc.)
# major should be blank for 0 (otherwise, it's treated as an octal)
GTK_MAJOR_VERSION	= 
GTK_MINOR_VERSION	= 99
GTK_MICRO_VERSION	= 09
GTK_VERSION	= $(GTK_MAJOR_VERSION)$(GTK_MINOR_VERSION)$(GTK_MICRO_VERSION)
CFLAGS	= -O2 -Wall -DGTKVERSION=$(GTK_VERSION)
LIBS	=
LDFLAGS = -L/usr/X11R6/lib -lgtk -lgdk -lglib -lXext -lX11 -lm
VERSION = unknown
DIR	= gtimer-$(VERSION)
DESTDIR = /usr/X11R6/bin

gtimer: main.o edit.o annotate.o report.o confirm.o config.o task.o
	$(CC) main.o edit.o report.o annotate.o confirm.o config.o task.o \
	$(LIBS) $(LDFLAGS) -o gtimer


# to build this, you need the memdebug library I wrote.
debug:
	make "CFLAGS=-g -Wall -DGTIMER_MEMDEBUG -DGTKVERSION=$(GTK_VERSION)" "LIBS=memdebug/libmd.a"

tasktest: tasktest.o task.o
	$(CC) tasktest.o task.o $(LIBS) -o tasktest

main.o: main.c task.h gtimer.h
	$(CC) $(CFLAGS) main.c -c -o main.o

report.o: report.c task.h gtimer.h
	$(CC) $(CFLAGS) report.c -c -o report.o

edit.o: edit.c task.h gtimer.h
	$(CC) $(CFLAGS) edit.c -c -o edit.o

annotate.o: annotate.c task.h gtimer.h
	$(CC) $(CFLAGS) annotate.c -c -o annotate.o

confirm.o: confirm.c task.h gtimer.h
	$(CC) $(CFLAGS) confirm.c -c -o confirm.o

config.o: config.c config.h
	$(CC) $(CFLAGS) config.c -c -o config.o

task.o: task.c task.h
	$(CC) $(CFLAGS) task.c -c -o task.o

tasktest.o: tasktest.c task.h
	$(CC) $(CFLAGS) tasktest.c -c -o tasktest.o


#
# The "dist" target is used for creating the .tar.gz and .tar.bz2
# distributions.
#
dist:
	make "VERSION=`./get_version.pl`" targz bzip

version:
	echo "Version is `./get_version.pl`"

gz targz: gtimer-$(VERSION).tar.gz

bzip bzip2: gtimer-$(VERSION).tar.bz2

gtimer-$(VERSION).tar.gz: gtimer
	echo "Building version $(VERSION) .tar.gz"; \
	if [ ! -d $(DIR) ]; then \
	  ln -s . $(DIR); \
	fi; \
	tar cvf - $(DIR)/README $(DIR)/COPYING \
	$(DIR)/gtimer.1 $(DIR)/Makefile \
	$(DIR)/confirm.c $(DIR)/edit.c $(DIR)/annotate.c $(DIR)/main.c \
	$(DIR)/report.c $(DIR)/task.c \
	$(DIR)/task.h $(DIR)/gtimer.h \
	$(DIR)/config.c $(DIR)/config.h \
	$(DIR)/icons/*xpm $(DIR)/icons/gtimer.gif | \
	gzip -c > gtimer-$(VERSION).tar.gz

gtimer-$(VERSION).tar.bz2:
	echo "Building version $(VERSION) .tar.bz2"; \
	if [ ! -d $(DIR) ]; then \
	  ln -s . $(DIR); \
	fi; \
	tar cvf - $(DIR)/README $(DIR)/COPYING \
	$(DIR)/gtimer.1 $(DIR)/Makefile \
	$(DIR)/confirm.c $(DIR)/edit.c $(DIR)/annotate.c $(DIR)/main.c \
	$(DIR)/report.c $(DIR)/task.c \
	$(DIR)/task.h $(DIR)/gtimer.h \
	$(DIR)/config.c $(DIR)/config.h \
	$(DIR)/icons/*xpm $(DIR)/icons/gtimer.gif | \
	bzip2 --repetitive-best > gtimer-$(VERSION).tar.bz2

# for building the man page
buildman:
	d=`grep GTIMER_VERSION_DATE gtimer.h | \
	  awk '-F"' '{ print $$2 }' | \
	  awk '{ printf "%s %s, %s\n", $$2, $$1, $$3 }'`; \
	make "VERSION=`./get_version.pl`" "DATE=$$d" gtimer.1

gtimer.1: gtimer.man gtimer.h
	sed 's;VERSION;$(VERSION);g' gtimer.man | \
	  sed 's;DATE;$(DATE);g' > gtimer.1

clean:
	rm -f *.o *~ gtimer core

distclean: clean

install:
	install -o root -m 0755 `pwd`/gtimer $(DESTDIR)

all: clean gtimer install

makefile:
	@sed -n '1,/^# DEPEND/ p' Makefile > Makefile.new; \
	make -s depend >> Makefile.new; \
	mv Makefile Makefile.old; \
	mv Makefile.new Makefile
	

depend:
	@for i in `ls -1 *.c`; do \
	  o=`echo $$i | sed "s;\.c;.o;"`; \
	  echo "$$o: " | tr -d '\012'; \
	  gcc -M $$i | sed -n '2,$$ p' | tr -d '\\' | tr '\012' ' ' | tr ' ' '\012' | grep -v '/usr/' | grep '[a-z]' | tr '\012' ' '; \
	  echo ""; \
	done

############################################################################
# DEPEND
annotate.o: task.h gtimer.h 
config.o: config.h 
confirm.o: task.h gtimer.h icons/error.xpm icons/confirm.xpm icons/about.xpm 
edit.o: task.h gtimer.h 
main.o: task.h gtimer.h config.h icons/splash.xpm icons/clock1.xpm icons/clock2.xpm icons/clock3.xpm icons/clock4.xpm icons/clock5.xpm icons/clock6.xpm icons/clock7.xpm icons/clock8.xpm icons/blank.xpm icons/start.xpm icons/stop.xpm icons/stop_all.xpm icons/annotate.xpm icons/new.xpm icons/edit.xpm 
report.o: task.h gtimer.h config.h 
report.v95.o: task.h gtimer.h 
task.o: task.h 
tasktest.o: task.h 
template.o: template.h 
xextras.o:

## gtimer 2.0.0

=== debian/changelog ===
gtimer (2.0.0-1.2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:05 +0000

gtimer (2.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * new patch GTK_LIB_missing_-lX11:
    - configure.ac: Replace -lXext by -lX11 in GTK_LIB. (Closes: #713599)

 -- Bill Allombert <ballombe@debian.org>  Sat, 12 Oct 2013 17:58:28 +0200

gtimer (2.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix segfault due to uninitialized variable. closes: #668663.

 -- Willi Mann <willi@debian.org>  Sun, 17 Jun 2012 17:26:30 +0200

gtimer (2.0.0-1) unstable; urgency=low

  * Update watch file
  * Update debhelper compatibilty to V7 (significantly clean up packaging)
  * New Upstream Release (Closes: #575666: RFP: GTimer -- GTK-based tool for
    timing tasks)
  * Initial release. (Closes: #636822: ITP: gtimer -- GTK-based X11 task
    timer)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Sat, 06 Aug 2011 03:07:30 -0500

gtimer (1.1.6-13) unstable; urgency=low

  * Add a desktop file and icon, courtesy of Ubuntu.  Thanks, Nathan
    Handler.  (Closes: #492498, LP: #248346)
  * Reference the icon in the menu file as well.
  * Fix the doc-base section (remove the Applications prefix).
  * Use filter instead of findstring to parse DEB_BUILD_OPTIONS.
  * Update standards version to 3.8.0.
    - Add README.source explaining the dbs system.
    - Add a patch target to debian/rules.

 -- Russ Allbery <rra@debian.org>  Sat, 26 Jul 2008 12:46:27 -0700

gtimer (1.1.6-12) unstable; urgency=low

  * Fix segfault when displaying HTML reports introduced by the patch to
    make the browser configurable.  Thanks to Chad Skeeters for the
    patch.
  * Change menu section to Applications/Project Management per the new
    menu policy.
  * Add a Homepage control field.
  * Update standards version to 3.7.3.
  * Update debhelper compatibility level to V5 (no changes required).
  * Wrap Build-Depends for readability.

 -- Russ Allbery <rra@debian.org>  Sat, 29 Dec 2007 16:45:57 -0800

gtimer (1.1.6-11) unstable; urgency=low

  * Choosing revert after an idle was subtracting time from all instances
    of that task, not just the running one.  Fixed.  Thanks to Ricardo
    Lopes Pereira for the report.  (Closes: #366762)
  * Always pass the host and build types to configure.
  * Update standards version to 3.7.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 20 May 2006 22:31:51 -0700

gtimer (1.1.6-10) unstable; urgency=low

  * Fix a segfault on daily reports when tasks have annotations and
    annotation data is requested.  (Closes: #350711)
  * Add a Last Year report.  Thanks, Bruno Gravato.  (Closes: #353046)
  * Don't compress the contrib scripts.
  * Add the build-indep and binary-indep targets.
  * Clean up stamp file handling in debian/rules.

 -- Russ Allbery <rra@debian.org>  Mon, 27 Feb 2006 00:37:01 -0800

gtimer (1.1.6-9) unstable; urgency=low

  * Providing binary-indep in debian/rules is required by Policy even if
    there are no arch-independent packages.  Whoops.
  * Mark install target as phony in debian/rules.

 -- Russ Allbery <rra@debian.org>  Sat,  3 Dec 2005 11:12:33 -0800

gtimer (1.1.6-8) unstable; urgency=low

  * Update maintainer address.

 -- Russ Allbery <rra@debian.org>  Fri, 18 Nov 2005 12:45:09 -0800

gtimer (1.1.6-7) unstable; urgency=low

  * Add README.Debian explaining how to get started and describing the
    user-visible changes relative to stock GTimer.
  * Add an explicit packaging copyright and license statement.
  * Update the FSF address in copyright.

 -- Russ Allbery <rra@stanford.edu>  Mon,  3 Oct 2005 15:52:11 -0700

gtimer (1.1.6-6) unstable; urgency=low

  * Build-depend on libxss-dev instead of xlibs-static-dev for the X
    transition.
  * Add a -weekstart command-line option to set the first day of the week
    for weekly reports.  (Closes: #307634)
  * Use the user's locale for weekday names as well.
  * Default to sensible-browser rather than x-www-browser and separate
    that patch out from the patch to make the browser configurable.
  * Fix the erroneous change to open modes in 10_57969-printpipe.patch so
    that 22_276011-reportmode.patch is no longer necessary.
  * 21_193517-oneMinIncr.diff subsumes 10_40450-32bitism.patch, so drop
    the latter.
  * Consolidate all of the temporary file patches.
  * Add history log entries at the top of the affected files in each patch
    rather than adding comments at the location of the change, with the
    exception of the Debian-specific change to turn off checks for newer
    versions.
  * Build with debugging symbols by default and support noopt.
  * Remove some bits from debian/rules that weren't being used.
  * Update the upstream author's address.

 -- Russ Allbery <rra@stanford.edu>  Fri, 15 Jul 2005 23:41:44 -0700

gtimer (1.1.6-5) unstable; urgency=low

  * Only change the configured window size on exit if the call to get the
    window size succeeds, rather than changing it to some random value off
    the stack.  Partially fixes #309779.
  * Update standards version to 3.6.2 (no changes required).

 -- Russ Allbery <rra@stanford.edu>  Wed, 29 Jun 2005 18:21:16 -0700

gtimer (1.1.6-4) unstable; urgency=medium

  * Revert and Resume now only revert times on the timers that were
    running, rather than all timers that had time for that day.  Fixes a
    bug introduced in the last release.  Thanks to Jamm!n Wheeler for the
    report.  (Closes: #309937)

 -- Russ Allbery <rra@stanford.edu>  Fri, 20 May 2005 10:05:56 -0700

gtimer (1.1.6-3) unstable; urgency=low

  * New maintainer.  (Closes: #288156)
  * Specify a file mode when saving reports.  (Closes: #276011)
  * Add a dialog box to configure the browser, which allows us to stop
    suggesting Netscape.  Default to x-www-browser in the absence of any


=== debian/control ===
Source: gtimer
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
Build-Depends: debhelper (>= 7), gettext, libgtk2.0-dev, libglib2.0-dev,
 libxss-dev
Standards-Version: 3.9.1
Homepage: http://www.k5n.us/gtimer.php

Package: gtimer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: www-browser
Description: GTK-based X11 task timer
 A graphical program that tracks how your time is spent.  Maintains a
 simple list of tasks, each of which can belong to a project, and allows
 you to track time in each.  Multiple clocks can run simultaneously,
 annotations can be added to a day's time, and reports can be generated
 in either HTML or text.  If GTimer detects that you're idle, you are
 given the option of subtracting off the time you spent idle when you
 return.
 .
 Compared to other time tracking applications, GTimer is graphical without
 depending on a desktop environment and aims for simplicity rather than
 attempting to be a full-fledged project tracking and billing application.

=== debian/watch ===
# watch -- Rules for uscan to find new upstream versions.

version=3
#http://www.k5n.us/gtimer.php?topic=Download .*/gtimer-(.*)\.tar\.bz2
http://sf.net/gtimer/gtimer-([\d\.]+)\.tar.*
